> ## Documentation Index
> Fetch the complete documentation index at: https://dev.pika.art/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Pikadditions

> Add any object or image into your video. Upload a video and specify what you'd like to add to create a seamlessly integrated result.



## OpenAPI

````yaml post /generate/pikadditions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /generate/pikadditions:
    post:
      summary: Generate Pikadditions
      operationId: generate_pikadditions_generate_pikadditions_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_generate_pikadditions_generate_pikadditions_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl -X POST 'https://devapi.pika.art/generate/pikadditions' \
            -H 'X-API-KEY: your_api_key' \
            -H 'Accept: multipart/form-data' \
            -F 'video=@input.mp4;type=video/mp4' \
            -F 'image=@image.jpg;type=image/jpg' \
            -F 'promptText=A person dancing gracefully' \
            -F 'negativePrompt=blurry, low quality' \
            -F 'seed=12345'
        - lang: python
          label: Python
          source: >

            import requests

            import json


            url = "https://devapi.pika.art/generate/pikadditions"

            payload = {
                "promptText": "A person dancing gracefully",
                "negativePrompt": "blurry, low quality",
                "seed": 12345,
            }

            headers = {
                "X-API-KEY": "your_api_key",
                "Accept": "multipart/form-data"
            }

            files = [
                ("video", ("input.mp4", open("input.mp4", "rb"), "video/mp4"))
            ]

            response = requests.post(url, data=payload, headers=headers,
            files=files)

            print(response.json())
components:
  schemas:
    Body_generate_pikadditions_generate_pikadditions_post:
      properties:
        video:
          type: string
          format: binary
          title: Video
        image:
          type: string
          format: binary
          title: Image
        promptText:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompttext
        negativePrompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Negativeprompt
        seed:
          anyOf:
            - type: integer
            - type: 'null'
          title: Seed
      type: object
      required:
        - video
        - image
      title: Body_generate_pikadditions_generate_pikadditions_post
    GenerateResponse:
      properties:
        video_id:
          type: string
          title: Video Id
      type: object
      required:
        - video_id
      title: GenerateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````